org.encog.neural.neat.training

## Class NEATInnovation

- java.lang.Object
- - org.encog.neural.neat.training.NEATInnovation

- All Implemented Interfaces:
    Serializable

      public class NEATInnovation
      extends Object
      implements Serializable

  Implements a NEAT innovation. This lets NEAT track what changes it has previously tried with a neural network. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NEATInnovation()` Default constructor, used mainly for persistence.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getInnovationID()`
    `long` | `getNeuronID()`
    `void` | `setInnovationID(long theInnovationID)` Set the innovation id.
    `void` | `setNeuronID(long neuronID)` Set the neuron id.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NEATInnovation

          public NEATInnovation()

      Default constructor, used mainly for persistence.

  - ### Method Detail

    - #### getNeuronID

          public long getNeuronID()

      Returns:
        The neuron ID.

    - #### setNeuronID

          public void setNeuronID(long neuronID)

      Set the neuron id.
      Parameters:
        `neuronID` - The neuron id.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getInnovationID

          public long getInnovationID()

      Returns:
        The innovation ID.

    - #### setInnovationID

          public void setInnovationID(long theInnovationID)

      Set the innovation id.
      Parameters:
        `theInnovationID` - The innovation id.

Copyright © 2014. All Rights Reserved.